'use strict';

const path = require('path');
const express = require('express');
const ejs = require('ejs');
const log = require('rainbowlog');
const cookieParser = require('cookie-parser');
const config = require('../core/common/config');

const app = express();
app.set('views', path.join(__dirname, '../core/view'));
app.set('view engine', 'html');
app.engine('html', ejs.renderFile);

app.use(require('compression')());
app.use(cookieParser());
app.listen(config.port, (err) => {
  if (err) {
    log.error(err.stack || err);
    return;
  }
  log.trace(`Server is up in ${process.uptime()}s, at port: ${config.port}`);
});

app.all('*', require('./ssr'));